Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ORBInitInfo::InvalidName Exception Reference

`#include <PortableInterceptorC.h>`

List of all members.

## Public Methods
| InvalidName (void)
| InvalidName (const InvalidName &)
| ~InvalidName (void)
InvalidName & | operator= (const InvalidName &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
## Static Public Methods
InvalidName * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableInterceptor::ORBInitInfo::InvalidName::InvalidName | ( | void |  | ) |

PortableInterceptor::ORBInitInfo::InvalidName::InvalidName | ( | const InvalidName & |  | ) |

PortableInterceptor::ORBInitInfo::InvalidName::~InvalidName | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception* PortableInterceptor::ORBInitInfo::InvalidName::_alloc | ( | void |  | ) | `[static]`

InvalidName* PortableInterceptor::ORBInitInfo::InvalidName::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

virtual void PortableInterceptor::ORBInitInfo::InvalidName::_raise | ( | void |  | ) | `[virtual]`

virtual void PortableInterceptor::ORBInitInfo::InvalidName::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual CORBA::Exception* PortableInterceptor::ORBInitInfo::InvalidName::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void PortableInterceptor::ORBInitInfo::InvalidName::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

InvalidName& PortableInterceptor::ORBInitInfo::InvalidName::operator= | ( | const InvalidName & |  | ) |

The documentation for this exception was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h